KeySlice (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class KeySlice

- java.lang.Object
- - org.apache.cassandra.thrift.KeySlice

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KeySlice>, org.apache.thrift.TBase<KeySlice,KeySlice._Fields>

      public class KeySlice
      extends java.lang.Object
      implements org.apache.thrift.TBase<KeySlice,KeySlice._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KeySlice>

  A KeySlice is key followed by the data it maps to. A collection of KeySlice is returned by the get_range_slice operation.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeySlice._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<ColumnOrSuperColumn>` | `columns`
    `java.nio.ByteBuffer` | `key`
    `static java.util.Map<KeySlice._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeySlice()`
    `KeySlice(java.nio.ByteBuffer key, java.util.List<ColumnOrSuperColumn> columns)`
    `KeySlice(KeySlice other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToColumns(ColumnOrSuperColumn elem)`
    `java.nio.ByteBuffer` | `bufferForKey()`
    `void` | `clear()`
    `int` | `compareTo(KeySlice other)`
    `KeySlice` | `deepCopy()`
    `boolean` | `equals(KeySlice that)`
    `boolean` | `equals(java.lang.Object that)`
    `KeySlice._Fields` | `fieldForId(int fieldId)`
    `java.util.List<ColumnOrSuperColumn>` | `getColumns()`
    `java.util.Iterator<ColumnOrSuperColumn>` | `getColumnsIterator()`
    `int` | `getColumnsSize()`
    `java.lang.Object` | `getFieldValue(KeySlice._Fields field)`
    `byte[]` | `getKey()`
    `int` | `hashCode()`
    `boolean` | `isSet(KeySlice._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumns()` Returns true if field columns is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKey()` Returns true if field key is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `KeySlice` | `setColumns(java.util.List<ColumnOrSuperColumn> columns)`
    `void` | `setColumnsIsSet(boolean value)`
    `void` | `setFieldValue(KeySlice._Fields field, java.lang.Object value)`
    `KeySlice` | `setKey(byte[] key)`
    `KeySlice` | `setKey(java.nio.ByteBuffer key)`
    `void` | `setKeyIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetColumns()`
    `void` | `unsetKey()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          public java.nio.ByteBuffer key

    - #### columns

          public java.util.List<ColumnOrSuperColumn> columns

    - #### metaDataMap

          public static final java.util.Map<KeySlice._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### KeySlice

          public KeySlice()

    - #### KeySlice

          public KeySlice(java.nio.ByteBuffer key,
                          java.util.List<ColumnOrSuperColumn> columns)

    - #### KeySlice

          public KeySlice(KeySlice other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public KeySlice deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`

    - #### getKey

          public byte[] getKey()

    - #### bufferForKey

          public java.nio.ByteBuffer bufferForKey()

    - #### setKey

          public KeySlice setKey(byte[] key)

    - #### setKey

          public KeySlice setKey(java.nio.ByteBuffer key)

    - #### unsetKey

          public void unsetKey()

    - #### isSetKey

          public boolean isSetKey()

      Returns true if field key is set (has been assigned a value) and false otherwise

    - #### setKeyIsSet

          public void setKeyIsSet(boolean value)

    - #### getColumnsSize

          public int getColumnsSize()

    - #### getColumnsIterator

          public java.util.Iterator<ColumnOrSuperColumn> getColumnsIterator()

    - #### addToColumns

          public void addToColumns(ColumnOrSuperColumn elem)

    - #### getColumns

          public java.util.List<ColumnOrSuperColumn> getColumns()

    - #### setColumns

          public KeySlice setColumns(java.util.List<ColumnOrSuperColumn> columns)

    - #### unsetColumns

          public void unsetColumns()

    - #### isSetColumns

          public boolean isSetColumns()

      Returns true if field columns is set (has been assigned a value) and false otherwise

    - #### setColumnsIsSet

          public void setColumnsIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(KeySlice._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(KeySlice._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`

    - #### isSet

          public boolean isSet(KeySlice._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(KeySlice that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(KeySlice other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<KeySlice>`

    - #### fieldForId

          public KeySlice._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<KeySlice,KeySlice._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation